cURL
curl --request GET \ --url https://{tenant}/api/org/opa \ --header 'Authorization: Bearer <token>'
{ "open_policy": { "rules": "package dashboard_users\ndefault request_intent = \"read\"\nrequest_intent = \"write\" { input.request.method == \"POST\" }\nrequest_intent = \"write\" { input.request.method == \"PUT\" }\nrequest_intent = \"delete\" { input.request.method == \"DELETE\" }\ndeny[\"You cannot create a keyless API.\"] {\n request_intent == \"write\"\n contains(input.request.path, \"api/apis\")\n input.request.body.api_definition.use_keyless == true\n}" } }
List your organisation OPA rules.
Documentation IndexFetch the complete documentation index at: https://tyk.io/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://tyk.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Tyk Dashboard API Access Credentials
OPA rules fetched.
Show child attributes
Was this page helpful?
Contact support